/*
 * Project: Examples for GJA course
 * Authors: Ing. Jan Kouřil
 *          Ing. Jaroslav Dytrych idytrych@fit.vutbr.cz
 * File: ServerInfo.java
 * Description: Example of Web Service handlers
 */

/**
 * @file ServerInfo.java
 *
 * @brief Example of Web Service handlers
 */

package cz.vutbr.fit.knot.gja.ws.client;

import javax.jws.WebMethod;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.ws.ResponseWrapper;
import javax.xml.ws.RequestWrapper;

@WebService(name = "ServerInfo", targetNamespace = "http://server.ws.gja.knot.fit.vutbr.cz/")
public interface ServerInfo {

    /**
     * Gets server name
     * 
     * @return Returns server name
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getServerName", targetNamespace = "http://server.ws.gja.knot.fit.vutbr.cz/", className = "cz.vutbr.fit.knot.gja.ws.client.GetServerName")
    @ResponseWrapper(localName = "getServerNameResponse", targetNamespace = "http://server.ws.gja.knot.fit.vutbr.cz/", className = "cz.vutbr.fit.knot.gja.ws.client.GetServerNameResponse")
    public String getServerName();

}
